<div class="container-fluid userprofile">
   
    <div class="shadow p-3 mb-5 bg-body rounded">
            <form #formRegister="ngForm" class="form-horizontal ">
                
                    <h3 class="text-center text-white pt-5">Login Yakoiou</h3>
                   
                        <div id="login-row" class="row justify-content-center align-items-center">
                            <div id="login-column" class="col-md-6">
                                <div id="login-box" class="col-md-12">
                                    <form id="login-form" class="form" action="" method="post">
                                        <h3 class="text-center text-info">User Profile </h3>
                                        <div class="form-group">
                                            <label for="firstname" class="text-info">Firstname:</label><br>
                                            <input [(ngModel)]="user.firstname" name="email" type="text"
                                            class="form-control" required pattern="[a-zA-Z].+" value="email"
                                            [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <label for="lastname" class="text-info">Lastname:</label><br>
                                            <input [(ngModel)]="user.lastname" name="email" type="text"
                                            class="form-control" required pattern="[a-zA-Z].+" value="email"
                                            [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <label for="username" class="text-info">Username:</label><br>
                                            <span >{{user.username}}</span>
                                        </div>
                                        <div class="form-group">
                                            <label for="email" class="text-info">Email:</label><br>
                                            <input [(ngModel)]="user.email" name="email" type="text"
                                                class="form-control" required pattern="[a-zA-Z].+" value="email"
                                                [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <label for="password" class="text-info">Password:</label><br>
                                            <input [(ngModel)]="user.password" name="password" type="password"
                                                class="form-control" required minlength="6"
                                                [ngModelOptions]="{standalone: true}" />
                                        </div>
                                        <div class="form-group">
                                            <div class="form-group">
                                                <label for="role" class="text-info">Roles:</label><br>
                                                <span >{{affiche(user.roles)}}</span>

                                                
                                            </div>
                                           
 
                                            <button  type="button" class="btn btn-sm "  (click)="goBack()">go back</button>
                                            <button   type="button"class="btn btn-sm " (click)="saveUser()">Save</button>
                                            <button   type="button" class="btn btn-sm " (click)="deleteUser()">Delete </button>
                                            
                                        </div>
                                       
                                    </form>
                                </div>
                            </div>
                        </div>            
            </form>
        </div>
    </div>



